Data Fields

# Departure Struct Reference

A scheduled departure. More...

`#include <departures_type.h>`

## Data Fields
DateTicks | scheduled_date
| The date this departure is scheduled to finish on (i.e. when the vehicle leaves the station).
DateTicks | lateness
| How delayed the departure is expected to be.
StationID | terminus
| The station at which the vehicle will terminate following this departure.
StationID | via
| The station the departure should list as going via.
SmallVector< StationID, 32 > | calling_at
| The stations both called at and unloaded at by the vehicle after this departure before it terminates.
DepartureStatus | status
| Whether the vehicle has arrived yet for this departure.
DepartureType | type
| The type of the departure (departure or arrival).
const Vehicle * | vehicle
| The vehicle performing this departure.
const Order * | order
| The order corresponding to this departure.

## Detailed Description

A scheduled departure.

Definition at line 32 of file departures_type.h.

The documentation for this struct was generated from the following file:

- src/departures_type.h